## search-ccsb 0.5

=== Makefile ===
SCRIPT=/usr/local/bin/
LISP=/usr/share/emacs21/site-lisp/


all: search-ccsb.elc

search-ccsb.elc: search-ccsb.el
	emacs -batch -q -f batch-byte-compile search-ccsb.el 


install: search-ccsb.elc
	sh ./install

clean:
	rm -f search-ccsb.elc *~

man:
	@pod2man --release="search-ccsb" --date="`date +"%B %e, %Y"`" --center="BibTeX search tool" search-ccsb > search-ccsb.1

.PHONY: install

=== debian/changelog ===
search-ccsb (0.5-5) unstable; urgency=medium

  * QA upload.
  * Build-depend on emacs instead of emacs25.  (Closes: #952133)
  * Fix some lintian issues.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Mar 2020 01:49:49 +0100

search-ccsb (0.5-4) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #847244)
  * Switch to debhelper compat level 10 and minimal dh rules.
    (Closes: #817665, #815609, #395634)
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Dec 2016 00:56:01 +0100

search-ccsb (0.5-3) unstable; urgency=low

  * NMU (By maintainer request)
  * Move fixes upstream to Debian (Close: #473501)

 -- Ralph Janke <txwikinger@ubuntu.com>  Fri, 01 Aug 2008 22:50:10 +0100

search-ccsb (0.5-2ubuntu1) intrepid; urgency=low

  * Changed url (LP: #102876)
  * Changed Standards Version to 3.7.3
  * Corrected debian/copyright file
  * added patch system to debian/rules file
  * added debian/compat file
  * Changed debhelper from Build-Depends-Indep to Build-Depends
  * Changed Maintainer Field

 -- Ralph Janke <txwikinger@ubuntu.com>  Sat, 07 Jun 2008 20:07:31 +0100

search-ccsb (0.5-2) unstable; urgency=low

  * Merged packages since the search-ccsb is so small.
    - debian/control:
      . Included the Provides, Conflicts and Replaces header to
        search-ccsb-el;
      . Added the dependency of emacsen-common;
      . Changed the search-ccsb long description to mention the emacsen
        support;
      . Droped all search-ccsb-el header;
      . Droped the Suggests field.
    - debian/search-ccsb.dirs: added the site-elisp directory.
    - debian/search-ccsb-el.dirs: removed.
    - debian/search-ccsb-el.emacsen-install:
      . renamed to search-ccsb.emacsen-install;
      . updated to right package name.
    - debian/search-ccsb-el.emacsen-remove: renamed to
      search-ccsb.emacsen-remove.
    - debian/search-ccsb-el.emacsen-startup:
      . renamed to search-ccsb.emacsen-startup;
      . updated to right package and script names.
    - debian/rules: updated the place and script name for install.
  * Update the packaging, now conforming to policy version 3.6.1.
    - debian/control: Changed the Standards-Version to 3.6.1.

 -- Otavio Salvador <otavio@debian.org>  Mon,  8 Dec 2003 22:40:05 -0200

search-ccsb (0.5-1) unstable; urgency=low

  * New upstream release
  * Update the packaging, now conforming to policy version 3.6.0.
  * debian/control: Changed the Standards-Version to 3.6.0.

 -- Otavio Salvador <otavio@debian.org>  Thu, 10 Jul 2003 22:13:26 -0300

search-ccsb (0.4-4) unstable; urgency=low

  * Update the packaging, now conforming to policy version 3.5.8
  * debian/control:
    - Changed the Standards-Version to 3.5.8
    - Updated the Build-Depends-Indep to depends of debhelper >= 4

 -- Otavio Salvador <otavio@debian.org>  Thu, 19 Dec 2002 14:02:04 -0200

search-ccsb (0.4-3) unstable; urgency=low

  * Updated the package to policy version 3.5.7
  * Added suggests to 'search-ccsb-el' package in 'search-ccsb'.
  * debian/rules: force the 644 mode in search-ccsb.el.

 -- Otavio Salvador <otavio@debian.org>  Wed, 13 Nov 2002 14:26:07 -0200

search-ccsb (0.4-2) unstable; urgency=low

  * Resend to fix a maintainer field in .changes, sorry!

 -- Otavio Salvador <otavio@debian.org>  Thu, 12 Sep 2002 09:10:02 -0300

search-ccsb (0.4-1) unstable; urgency=low

  * Initial Release (closes: #158633).

 -- Otavio Salvador <otavio@debian.org>  Tue,  3 Sep 2002 13:19:22 -0300

=== debian/control ===
Source: search-ccsb
Section: tex
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 emacs | emacsen,
Standards-Version: 3.8.0

Package: search-ccsb
Architecture: all
Provides: search-ccsb-el
Conflicts: search-ccsb-el
Replaces: search-ccsb-el
Depends:
 ${perl:Depends},
 ${misc:Depends},
 libwww-perl (>= 5.47-1),
 emacsen-common,
Description: BibTeX search tool
 Search-ccsb is a Perl script that connects to "The Collection of
 Computer Science Bibliographies"[1], and performs a keyword search
 query. The result is a set of BibTeX entries that matches the query.
 .
 1. http://liinwww.ira.uka.de/bibliography/index.html
 .
 If you use some emacsen application, this package will install the
 search-ccsb.el script on it.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:

=== debian/watch ===
version=2
http://www.inf.ufrgs.br/~rreal/download/search-ccsb-(.*)\.tar\.gz	debian	uupdate
